Skip to main content
POST
/
v1
/
payments
/
{id}
/
cancel
Cancel a payment
curl --request POST \
  --url https://api.plexospay.com/v1/payments/{id}/cancel \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plexospay.com/v1/payments/{id}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plexospay.com/v1/payments/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "pi_abc123",
  "externalId": "<string>",
  "amount": "10000",
  "feeAmount": "200",
  "netAmount": "9800",
  "operatorPhone": "+2389001234",
  "operatorTxId": "<string>",
  "failureCode": "<string>",
  "failureMessage": "<string>",
  "description": "<string>",
  "statementDescriptor": "<string>",
  "customerId": "<string>",
  "metadata": {},
  "expiresAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Response

200 - application/json

Payment cancelled

id
string
Example:

"pi_abc123"

externalId
string | null
amount
string

Amount in centavos

Example:

"10000"

currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
feeAmount
string
Example:

"200"

netAmount
string
Example:

"9800"

operator
enum<string>

Mobile money operator

Available options:
CVMOVEL,
UNITEL_TMAIS,
MOCK
operatorPhone
string
Example:

"+2389001234"

operatorTxId
string | null
status
enum<string>
Available options:
CREATED,
OPERATOR_PENDING,
USER_CONFIRMING,
DEBITED,
SETTLED,
FAILED,
EXPIRED,
REFUNDED,
PARTIALLY_REFUNDED,
CANCELLED
failureCode
string | null
failureMessage
string | null
description
string | null
statementDescriptor
string | null
customerId
string | null
metadata
object | null

Arbitrary key-value metadata (max 50 keys)

expiresAt
string<date-time> | null
createdAt
string<date-time>
updatedAt
string<date-time>